Skip to navigation

List links

View as Markdown
List your payment links.

Authentication

x-api-keystring

Account API key used to authenticate server-side requests. Use the credentials issued for the same environment as the API base URL.

Query parameters

typeenumOptional
Filter by payment link type.
Allowed values:
statusenumOptional
Filter by payment link status.
referencestringOptional
Filter by your payment reference.
sourceenumOptional
Filter by the source that created the payment link.
Allowed values:
limitintegerOptional1-100Defaults to 20
Maximum number of records to return.
cursorstringOptional

Cursor returned as next_cursor from the previous response. Omit for the first request.

Response

Payment links retrieved successfully.
messagestring
datalist of objects
metaobject

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error